<bugID>839890<Summary>Typo at line 391 in gDevTools.jsm</Summary><Description>Most probably caused by Bug 832984 .

At line 391 it should be element.key as the tools definition uses key .

This gives the following error while reinstalling Timeline when its already installed once .

Timestamp: 2/10/2013 9:57:42 PM
Error: TypeError: Value not an object.: DT_attachKeybindingsToBrowser@resource://gre/modules/devtools/gDevTools.jsm:361
DT_addToolToWindows@resource://gre/modules/devtools/gDevTools.jsm:391
@resource://gre/modules/devtools/gDevTools.jsm:631
EventEmitter_emit@resource:///modules/devtools/EventEmitter.jsm:100
DT_registerTool@resource://gre/modules/devtools/gDevTools.jsm:79
TUI__startup@chrome://graphical-timeline/content/frontend/TimelineUI.jsm:75
init@resource://gre/modules/XPIProvider.jsm -&gt; jar:file:///C:/Users/Girish%20Sharma/AppData/Roaming/Mozilla/Firefox/Profiles/vy8p218z.default/extensions/graphical-timeline-of-events@devtools.xpi!/bootstrap.js:132
@resource://gre/modules/XPIProvider.jsm -&gt; jar:file:///C:/Users/Girish%20Sharma/AppData/Roaming/Mozilla/Firefox/Profiles/vy8p218z.default/extensions/graphical-timeline-of-events@devtools.xpi!/bootstrap.js:157
safeCall@resource://gre/modules/AddonManager.jsm:81
getAddonByID_safeCall@resource://gre/modules/AddonManager.jsm:1652
getAddonByID_getVisibleAddonForID@resource://gre/modules/XPIProvider.jsm:3267
getVisibleAddonForID_executeAsync@resource://gre/modules/XPIProvider.jsm -&gt; resource://gre/modules/XPIProviderUtils.js:1391
AsyncAddonListCallback_handleCompletion@resource://gre/modules/XPIProvider.jsm -&gt; resource://gre/modules/XPIProviderUtils.js:173

Source File: resource:///modules/devtools/EventEmitter.jsm
Line: (null)</Description></bugID>